HyperPaxeer NetworkPaxeer Network
API Reference

Get perps trade history

GET
/api/v1/portfolio/{address}/perps/trades

Returns perpetuals trade history for a user with pagination.

Path Parameters

address*string

Wallet address (with or without 0x prefix, case-insensitive)

Match^0x[a-fA-F0-9]{40}$

Query Parameters

limit?integer

Maximum results (max 100)

Default50
Rangevalue <= 100
offset?integer

Pagination offset

Default0

Response Body

application/json

text/plain

curl -X GET "https://us-east-1.user-stats.sidiora.exchange/api/v1/portfolio/0xf263aB36de550bDa08b52d43eB253b3C0387e2bc/perps/trades"
[
  {
    "id": 0,
    "position_id": "string",
    "user_address": "string",
    "market_id": 0,
    "trade_type": "open",
    "is_long": true,
    "size_usd": "string",
    "price": "string",
    "realized_pnl": "string",
    "fee_usd": "string",
    "block_number": 0,
    "tx_hash": "string",
    "block_timestamp": "string"
  }
]
"string"